Project votes

get
/projects/:project_id/votes

Returns votes for the project. Only public projects are accessible without authentication.

URL parameters

KeyValueExampleDescription
project_id
42
Project ID

Query parameters

KeyValueExampleDescription
limit
100
Number of items from 1 to 1000, default 100
offset
0
Number of items to skip, minimum 0, default 0
sort
created
Sort field
order
asc
Sort direction
claimed
0
Processing status: 0 unprocessed, 1 processed; all by default
nickname
Player
Search by voter nickname fragments, 3 to 255 characters
created
1800000000
Creation time, Unix seconds
created__gt
1800000000
Creation time, Unix seconds >
created__gte
1800000000
Creation time, Unix seconds ≥
created__lt
1800000000
Creation time, Unix seconds <
created__lte
1800000000
Creation time, Unix seconds ≤
expire
1800000000
Expiration time, Unix seconds
expire__gt
1800000000
Expiration time, Unix seconds >
expire__gte
1800000000
Expiration time, Unix seconds ≥
expire__lt
1800000000
Expiration time, Unix seconds <
expire__lte
1800000000
Expiration time, Unix seconds ≤

Response

JSON
{
  "response": [
    {
      "claimed_at": null,
      "created_at": 1783200000,
      "entity_id": 42,
      "entity_type": "project",
      "expires_at": 1785792000,
      "id": "7206f073-2f18-4660-91b8-bd947fbc4be2",
      "nickname": "NovaPlayer",
      "project": {
        "id": 42
      },
      "user": {
        "avatar": "no.jpg",
        "id": 204801,
        "username": "demo_user",
        "uuid": "d4f9c57e-7c8b-49c7-8d7e-b2f1a39f4a25",
        "connections": []
      }
    }
  ]
}